<?php
/*

	PHP-Fusion v 7
	Copyright  2012
	Filename: polls_admin.php
	Author: mishqa35

*/

require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."ajax_poll_panel/infusion_db.php";

if (!checkrights("APV") || !defined("iAUTH") || !isset($_GET['aid']) || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (isset($_GET['poll_id']) && !isnum($_GET['poll_id'])) { redirect(FUSION_SELF); }

if (isset($_GET['status']) && !isset($message)) {
	if ($_GET['status'] == "sn") {
		$message = "  ";
	} elseif ($_GET['status'] == "su") {
		$message = " ";
	} elseif ($_GET['status'] == "del") {
		$message = " ";
	}
	if ($message) {	echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
}

if (isset($_POST['save'])) {
	$poll_title = trim(stripinput($_POST['poll_title']));
	$poll_text = stripinput($_POST['poll_text']);
	if (isset($_GET['poll_id']) && isnum($_GET['poll_id'])) {
		if ($poll_title && $poll_text) {
			$ended = (isset($_POST['close']) ? time() : 0);
			$result = dbquery("UPDATE ".DB_AJAXPOLLS." SET poll_title='".$poll_title."', poll_text='".$poll_text."', poll_ended='".$ended."' WHERE poll_id='".$_GET['poll_id']."'");
			redirect(FUSION_SELF.$aidlink."&amp;status=su");
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	} else {
		if ($poll_title && $poll_text) {
			$result = dbquery("UPDATE ".DB_AJAXPOLLS." SET poll_ended='".time()."' WHERE poll_ended='0'");
			$result = dbquery("INSERT INTO ".DB_AJAXPOLLS." (poll_title, poll_text, poll_started, poll_ended) VALUES ('".$poll_title."', '".$poll_text."', '".time()."', '0')");
			redirect(FUSION_SELF.$aidlink."&amp;status=sn");
		} else {
			redirect(FUSION_SELF.$aidlink);
		}
	}
} else if (isset($_POST['delete']) && (isset($_POST['poll_id']) && isnum($_POST['poll_id']))) {
	$result = dbcount("(poll_id)", DB_AJAXPOLL, "poll_id='".$_POST['poll_id']."'");
	if (!empty($result)) $result = dbquery("DELETE FROM ".DB_AJAXPOLLS." WHERE poll_id='".$_POST['poll_id']."'");
	redirect(FUSION_SELF.$aidlink."&amp;status=del");
} else {
	if (isset($_POST['preview'])) {
		$poll_title = stripinput($_POST['poll_title']);
		$poll_text = stripinput($_POST['poll_text']);
		$poll_opt = array();
		$_POST['poll_text'] = explode("\n", $_POST['poll_text']);
		foreach($_POST['poll_text'] as $value) {
			$poll_opt[] = "<label><input type='radio' name='option[]' />".$value."</label><br />";
		}
		$poll_opt = implode("\n", $poll_opt);
		if ($poll_title && $poll_text) {
			opentable("");
			echo "<table cellpadding='0' cellspacing='0' width='280' class='center'>\n<tr>\n";
			echo "<td class='tbl'><strong>".$poll_title."</strong><br /><br />\n".$poll_opt."</td>\n";
			echo "</tr>\n<tr>\n";
			echo "<td align='center' class='tbl'><input type='button' name='blank' value='' class='button' /></td>\n";
			echo "</tr>\n</table>\n";
			closetable();
		}
	}
	$editlist = "";
	$result = dbquery("SELECT poll_id, poll_title FROM ".DB_AJAXPOLLS." ORDER BY poll_id DESC");
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
			$editlist .= "<option value='".$data['poll_id']."'>".$data['poll_title']."</option>\n";
		}
		opentable(" ");
		echo "<div style='text-align:center'>\n<form name='editform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
		echo "<select name='poll_id' class='textbox' style='width:200px;'>\n".$editlist."</select>\n";
		echo "<input type='submit' name='edit' value='' class='button' />\n";
		echo "<input type='submit' name='delete' value='' class='button' />\n";
		echo "</form>\n</div>\n";
		closetable();
	}
	if (isset($_POST['edit']) && (isset($_POST['poll_id']) && isnum($_POST['poll_id']))) {
		$_GET['poll_id'] = $_POST['poll_id'];
		$data = dbarray(dbquery("SELECT poll_title, poll_text, poll_started, poll_ended FROM ".DB_AJAXPOLLS." WHERE poll_id='".$_POST['poll_id']."'"));
		$poll_title = $data['poll_title'];
		$poll_text = $data['poll_text'];
		$poll_started = $data['poll_started'];
		$_GET['poll_ended'] = $data['poll_ended'];
	}
	$poll_title = isset($poll_title) ? $poll_title : "";
	$poll_text = isset($poll_text) ? $poll_text : "";
	if (isset($poll_id)) $poll_ended = isset($poll_ended) ? $poll_ended : 0;
	opentable((isset($_GET['poll_id']) ? " " : " "));
	echo "<form name='pollform' method='post' action='".FUSION_SELF.$aidlink.(isset($_GET['poll_id']) ? "&amp;poll_id=".$_GET['poll_id']."&amp;poll_ended=".$_GET['poll_ended'] : "")."'>\n";
	echo "<table cellpadding='0' cellspacing='0' width='460' class='center'>\n<tr>\n";
	echo "<td width='120' class='tbl'> :</td>\n";
	echo "<td class='tbl'><input type='text' name='poll_title' value='".$poll_title."' class='textbox' style='width:200px' /></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td width='120' class='tbl'>:<br /><span class='small'>      </span></td>\n";
	echo "<td class='tbl'><textarea name='poll_text' cols='95' rows='10' class='textbox' style='width:98%'>".$poll_text."</textarea></td>\n";
	echo "</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl'><br />\n";
	if (isset($_GET['poll_id']) && !$_GET['poll_ended']) {
		echo "<label><input type='checkbox' name='close' value='yes' />  </label><br /><br />\n";
	}
	if (!isset($_GET['poll_id']) || (isset($_GET['poll_id']) && !$_GET['poll_ended'])) {
		echo "<input type='submit' name='preview' value='' class='button' />\n";
		echo "<input type='submit' name='save' value=' ' class='button' />\n";
	} else {
		echo ": ".showdate("shortdate", $poll_started)."<br />\n";
		echo ": ".showdate("shortdate", $_GET['poll_ended'])."<br />\n";
	}
	echo "</td>\n</tr>\n";
	echo "</table>\n</form>\n";
	closetable();
}
require_once THEMES."templates/footer.php";
?>